%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		seahorse
Summary:	GNOME frontend to GnuPG
Version:	3.34.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://seahorse.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz

Provides:	gnome-keyring-manager
Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires:   gnupg2
Requires:	gcr

%description
Seahorse is a GNOME frontend for the GNU Privacy Guard ecryption tool. It can
be used for file encryption and decryption and for digitally signing files and
for verifying those signatures. Key management options are also included.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

tar -xf %SOURCE0 -C %buildroot

%{find_lang} %{name}

mkdir -p %{buildroot}%{_libexecdir}/openssh/

%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_libexecdir}/seahorse/ssh-askpass 15
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_libexecdir}/%{name}/ssh-askpass 15

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_libexecdir}/%{name}/ssh-askpass
update-alternatives --remove bssh-askpass %{_libexecdir}/%{name}/ssh-askpass

# handle path change for those executables
%triggerpostun -- seahorse < 3.29.91-2
update-alternatives --remove ssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass
update-alternatives --remove bssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass

%files
%{_bindir}
%{_libexecdir}
%{_datadir}
%{_prefix}/lib/.build-id


%changelog
* Wed Oct 02 2019 tex - 3.34-1pclos2019
- new version 3.34
